
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef MPC_planner_ERROR_H
#define MPC_planner_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_MPC_planner    (24570)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_MPC_planner_PATH_TOO_SHORT       H2_ENCODE_ERR(M_MPC_planner, 1)
#define S_MPC_planner_EMPTY_TRAJ           H2_ENCODE_ERR(M_MPC_planner, 2)
#define S_MPC_planner_CTRL_POSTER_READ     H2_ENCODE_ERR(M_MPC_planner, 3)
#define S_MPC_planner_FILE_ERROR           H2_ENCODE_ERR(M_MPC_planner, 4)
#define S_MPC_planner_EMPTY_PATH           H2_ENCODE_ERR(M_MPC_planner, 5)
#define S_MPC_planner_FILE_NOT_FOUND       H2_ENCODE_ERR(M_MPC_planner, 6)
#define S_MPC_planner_REFPATH_POSTER_READ  H2_ENCODE_ERR(M_MPC_planner, 7)
#define S_MPC_planner_POSTER_READ          H2_ENCODE_ERR(M_MPC_planner, 8)
#define S_MPC_planner_BLOCKED              H2_ENCODE_ERR(M_MPC_planner, 9)
#define S_MPC_planner_GOAL_POS_OBS         H2_ENCODE_ERR(M_MPC_planner, 10)
#define S_MPC_planner_UNDEFINED_SYS        H2_ENCODE_ERR(M_MPC_planner, 11)
#define S_MPC_planner_DTM_POSTER_READ      H2_ENCODE_ERR(M_MPC_planner, 12)
#define S_MPC_planner_POM_POSTER_READ      H2_ENCODE_ERR(M_MPC_planner, 13)
#define S_MPC_planner_NO_PATH              H2_ENCODE_ERR(M_MPC_planner, 14)
#define S_MPC_planner_POSTER_NOT_FOUND     H2_ENCODE_ERR(M_MPC_planner, 15)


/* std errors */
#define S_MPC_planner_stdGenoM_ACTIVITY_INTERRUPTED       1610277889   /* 24570<<16 | 0x8000 | 100<<8 | 1 */
#define S_MPC_planner_stdGenoM_TOO_MANY_ACTIVITIES        1610277890   /* 24570<<16 | 0x8000 | 100<<8 | 2 */
#define S_MPC_planner_stdGenoM_ACTIVITY_FAILED            1610277891   /* 24570<<16 | 0x8000 | 100<<8 | 3 */
#define S_MPC_planner_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 1610277892   /* 24570<<16 | 0x8000 | 100<<8 | 4 */
#define S_MPC_planner_stdGenoM_UNKNOWN_ACTIVITY           1610277893   /* 24570<<16 | 0x8000 | 100<<8 | 5 */
#define S_MPC_planner_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 1610277894   /* 24570<<16 | 0x8000 | 100<<8 | 6 */
#define S_MPC_planner_stdGenoM_SYSTEM_ERROR               1610277895   /* 24570<<16 | 0x8000 | 100<<8 | 7 */
#define S_MPC_planner_stdGenoM_ACTIVITY_ALREADY_ENDED     1610277896   /* 24570<<16 | 0x8000 | 100<<8 | 8 */
#define S_MPC_planner_stdGenoM_WAIT_INIT_RQST             1610277897   /* 24570<<16 | 0x8000 | 100<<8 | 9 */
#define S_MPC_planner_stdGenoM_CONTROL_CODEL_ERROR        1610277898   /* 24570<<16 | 0x8000 | 100<<8 | 10 */
#define S_MPC_planner_stdGenoM_EXEC_TASK_SUSPENDED        1610277899   /* 24570<<16 | 0x8000 | 100<<8 | 11 */
#define S_MPC_planner_stdGenoM_BAD_BLOCK_TYPE             1610277900   /* 24570<<16 | 0x8000 | 100<<8 | 12 */
#define S_MPC_planner_stdGenoM_BAD_POSTER_TYPE            1610277901   /* 24570<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define MPC_PLANNER_H2_ERR_MSGS {\
    {"PATH_TOO_SHORT", 1},\
    {"EMPTY_TRAJ", 2},\
    {"CTRL_POSTER_READ", 3},\
    {"FILE_ERROR", 4},\
    {"EMPTY_PATH", 5},\
    {"FILE_NOT_FOUND", 6},\
    {"REFPATH_POSTER_READ", 7},\
    {"POSTER_READ", 8},\
    {"BLOCKED", 9},\
    {"GOAL_POS_OBS", 10},\
    {"UNDEFINED_SYS", 11},\
    {"DTM_POSTER_READ", 12},\
    {"POM_POSTER_READ", 13},\
    {"NO_PATH", 14},\
    {"POSTER_NOT_FOUND", 15},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int MPC_plannerRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
