
/* 
 * Copyright (c) 1993-2003,2012 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MPC_planner_POSTER_LIB_H
#define MPC_planner_POSTER_LIB_H

#include "posterLib.h"
#include "genom/genom.h"

/* Types definis ou utilises par le module */
#include "MPC_plannerType.h"
#include "MPC_plannerError.h"

/* 
 * Definition de la SDI_C 
*/
typedef struct {
  CNTRL_TASK_DESCRIPTION cntrlTask;
  EXEC_TASK_DESCRIPTION execTaskTab[MPC_PLANNER_NB_EXEC_TASK];
  ACTIVITY_DESCRIPTION activityTab[MAX_ACTIVITIES];
} MPC_PLANNER_CNTRL_STR;

/* For consistency with other posters */
typedef MPC_PLANNER_CNTRL_STR MPC_PLANNER_CNTRL_POSTER_STR;
 
/* 
 * Definition des structures de posters
 */
#include "MPC_plannerPosterLibStruct.h"



/* Posters */
#define MPC_PLANNER_CNTRL_POSTER_NAME genomInstanceSuffixName("MPC_planner", "Cntrl")
#define MPC_PLANNER_PATHREC_POSTER_NAME genomInstanceSuffixName("MPC_planner", "PathRec")
#define MPC_PLANNER_PATHREF_POSTER_NAME genomInstanceSuffixName("MPC_planner", "PathRef")
#define MPC_PLANNER_MANASTRAJREF_POSTER_NAME genomInstanceSuffixName("MPC_planner", "ManaSTrajRef")
#define MPC_PLANNER_MANASTRAJREC_POSTER_NAME genomInstanceSuffixName("MPC_planner", "ManaSTrajRec")


/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif
extern STATUS MPC_plannerPosterInit ( void );
extern POSTER_ID MPC_plannerCntrlPosterID ();
extern STATUS MPC_plannerCntrlPosterRead ( MPC_PLANNER_CNTRL_STR *MPC_plannerCntrlStrId );
extern STATUS MPC_plannerCntrlPosterInit ( void );
extern STATUS MPC_plannerCntrlInstancePosterRead(const char *name, MPC_PLANNER_CNTRL_STR *MPC_plannerCntrlStrId);
extern STATUS MPC_plannerPathRecPosterInit ( void );
extern POSTER_ID MPC_plannerPathRecPosterID ( void );
extern STATUS MPC_plannerPathRecPosterRead ( MPC_PLANNER_PATHREC_POSTER_STR *x );
extern STATUS MPC_plannerPathRecInstancePosterRead ( const char *, MPC_PLANNER_PATHREC_POSTER_STR * );
extern STATUS MPC_plannerPathRecpathRecPosterRead ( PL_PATH_XY *pathRec );
extern STATUS MPC_plannerPathRecpathRecInstancePosterRead( const char *, PL_PATH_XY * );
extern STATUS MPC_plannerPathRefPosterInit ( void );
extern POSTER_ID MPC_plannerPathRefPosterID ( void );
extern STATUS MPC_plannerPathRefPosterRead ( MPC_PLANNER_PATHREF_POSTER_STR *x );
extern STATUS MPC_plannerPathRefInstancePosterRead ( const char *, MPC_PLANNER_PATHREF_POSTER_STR * );
extern STATUS MPC_plannerPathRefpathRefPosterRead ( PL_PATH_XY *pathRef );
extern STATUS MPC_plannerPathRefpathRefInstancePosterRead( const char *, PL_PATH_XY * );
extern STATUS MPC_plannerManaSTrajRefPosterInit ( void );
extern POSTER_ID MPC_plannerManaSTrajRefPosterID ( void );
extern STATUS MPC_plannerManaSTrajRefPosterRead ( MPC_PLANNER_MANASTRAJREF_POSTER_STR *x );
extern STATUS MPC_plannerManaSTrajRefInstancePosterRead ( const char *, MPC_PLANNER_MANASTRAJREF_POSTER_STR * );
extern STATUS MPC_plannerManaSTrajRefmana_strajRefPosterRead ( PL_MANA_STRAJ *mana_strajRef );
extern STATUS MPC_plannerManaSTrajRefmana_strajRefInstancePosterRead( const char *, PL_MANA_STRAJ * );
extern STATUS MPC_plannerManaSTrajRecPosterInit ( void );
extern POSTER_ID MPC_plannerManaSTrajRecPosterID ( void );
extern STATUS MPC_plannerManaSTrajRecPosterRead ( MPC_PLANNER_MANASTRAJREC_POSTER_STR *x );
extern STATUS MPC_plannerManaSTrajRecInstancePosterRead ( const char *, MPC_PLANNER_MANASTRAJREC_POSTER_STR * );
extern STATUS MPC_plannerManaSTrajRecmana_strajRecPosterRead ( PL_MANA_STRAJ *mana_strajRec );
extern STATUS MPC_plannerManaSTrajRecmana_strajRecInstancePosterRead( const char *, PL_MANA_STRAJ * );
#ifdef __cplusplus
}
#endif
#endif

