
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MPC_PLANNER_PRINT_H
#define MPC_PLANNER_PRINT_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/pomPrint.h"

#include "server/genPosPrint.h"


#include "MPC_plannerPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern void print_struct_MPC_PLANNER_MANASTRAJREC_POSTER_STR ( FILE *out,
     struct MPC_PLANNER_MANASTRAJREC_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_MPC_PLANNER_MANASTRAJREF_POSTER_STR ( FILE *out,
     struct MPC_PLANNER_MANASTRAJREF_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_MPC_PLANNER_PATHREF_POSTER_STR ( FILE *out,
     struct MPC_PLANNER_PATHREF_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_MPC_PLANNER_PATHREC_POSTER_STR ( FILE *out,
     struct MPC_PLANNER_PATHREC_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_MPC_PLANNER_STR ( FILE *out,
     struct MPC_PLANNER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_LOADPATH_I ( FILE *out,
     struct LOADPATH_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_FILENAME_I ( FILE *out,
     struct FILENAME_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_SHIFT_XY_I ( FILE *out,
     struct SHIFT_XY_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_PVD_I ( FILE *out,
     struct PVD_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_TRAJRECORDING_I ( FILE *out,
     struct TRAJRECORDING_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_PATHRECORDING_I ( FILE *out,
     struct PATHRECORDING_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_PL_SETMANASYS_I ( FILE *out,
     struct PL_SETMANASYS_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_PL_PLANSIMPLESTRAJ_I ( FILE *out,
     struct PL_PLANSIMPLESTRAJ_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_PL_PLANSIMPLEPATH_I ( FILE *out,
     struct PL_PLANSIMPLEPATH_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_PL_PLANTO_I ( FILE *out,
     struct PL_PLANTO_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_PL_SETMODE_I ( FILE *out,
     struct PL_SETMODE_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_PL_INIT_I ( FILE *out,
     struct PL_INIT_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_PL_MANA_STRAJ ( FILE *out,
     struct PL_MANA_STRAJ *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_PL_MANA_STATET ( FILE *out,
     struct PL_MANA_STATET *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_PL_MANA_SYS_CSTT ( FILE *out,
     struct PL_MANA_SYS_CSTT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GEN_PATH_XY ( FILE *out,
     struct GEN_PATH_XY *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_PL_PATH_XY ( FILE *out,
     struct PL_PATH_XY *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_MANA_SYS_CSTT ( FILE *out,
     struct MANA_SYS_CSTT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_MANA_CTRL ( FILE *out,
     struct MANA_CTRL *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_MANA_POSE ( FILE *out,
     struct MANA_POSE *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void print_MANA_POSE ( FILE *out,
     MANA_POSE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MANA_CTRL ( FILE *out,
     MANA_CTRL *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MANA_SYS_CSTT ( FILE *out,
     MANA_SYS_CSTT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_PL_PATH_XY ( FILE *out,
     PL_PATH_XY *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GEN_PATH_XY ( FILE *out,
     GEN_PATH_XY *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_PL_MANA_SYS_CSTT ( FILE *out,
     PL_MANA_SYS_CSTT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_PL_MANA_STATET ( FILE *out,
     PL_MANA_STATET *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_PL_MANA_STRAJ ( FILE *out,
     PL_MANA_STRAJ *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_PL_INIT_I ( FILE *out,
     PL_INIT_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_PL_SETMODE_I ( FILE *out,
     PL_SETMODE_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_PL_PLANTO_I ( FILE *out,
     PL_PLANTO_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_PL_PLANSIMPLEPATH_I ( FILE *out,
     PL_PLANSIMPLEPATH_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_PL_PLANSIMPLESTRAJ_I ( FILE *out,
     PL_PLANSIMPLESTRAJ_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_PL_SETMANASYS_I ( FILE *out,
     PL_SETMANASYS_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_PATHRECORDING_I ( FILE *out,
     PATHRECORDING_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_TRAJRECORDING_I ( FILE *out,
     TRAJRECORDING_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_PVD_I ( FILE *out,
     PVD_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_SHIFT_XY_I ( FILE *out,
     SHIFT_XY_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_FILENAME_I ( FILE *out,
     FILENAME_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_LOADPATH_I ( FILE *out,
     LOADPATH_I *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MPC_PLANNER_STR ( FILE *out,
     MPC_PLANNER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MPC_PLANNER_PATHREC_POSTER_STR ( FILE *out,
     MPC_PLANNER_PATHREC_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MPC_PLANNER_PATHREF_POSTER_STR ( FILE *out,
     MPC_PLANNER_PATHREF_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MPC_PLANNER_MANASTRAJREF_POSTER_STR ( FILE *out,
     MPC_PLANNER_MANASTRAJREF_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_MPC_PLANNER_MANASTRAJREC_POSTER_STR ( FILE *out,
     MPC_PLANNER_MANASTRAJREC_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
#ifdef __cplusplus
}
#endif

#endif /* MPC_PLANNER_PRINT_H */

