
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MPC_PLANNER_SCAN_H
#define MPC_PLANNER_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/pomScan.h"

#include "server/genPosScan.h"


/* Structures du module */
#include "MPC_plannerPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_MPC_PLANNER_MANASTRAJREC_POSTER_STR ( FILE *in, FILE *out,
       struct MPC_PLANNER_MANASTRAJREC_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_MPC_PLANNER_MANASTRAJREF_POSTER_STR ( FILE *in, FILE *out,
       struct MPC_PLANNER_MANASTRAJREF_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_MPC_PLANNER_PATHREF_POSTER_STR ( FILE *in, FILE *out,
       struct MPC_PLANNER_PATHREF_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_MPC_PLANNER_PATHREC_POSTER_STR ( FILE *in, FILE *out,
       struct MPC_PLANNER_PATHREC_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_MPC_PLANNER_STR ( FILE *in, FILE *out,
       struct MPC_PLANNER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_LOADPATH_I ( FILE *in, FILE *out,
       struct LOADPATH_I *x, int indent, int nDim, int *dims );
extern int scan_struct_FILENAME_I ( FILE *in, FILE *out,
       struct FILENAME_I *x, int indent, int nDim, int *dims );
extern int scan_struct_SHIFT_XY_I ( FILE *in, FILE *out,
       struct SHIFT_XY_I *x, int indent, int nDim, int *dims );
extern int scan_struct_PVD_I ( FILE *in, FILE *out,
       struct PVD_I *x, int indent, int nDim, int *dims );
extern int scan_struct_TRAJRECORDING_I ( FILE *in, FILE *out,
       struct TRAJRECORDING_I *x, int indent, int nDim, int *dims );
extern int scan_struct_PATHRECORDING_I ( FILE *in, FILE *out,
       struct PATHRECORDING_I *x, int indent, int nDim, int *dims );
extern int scan_struct_PL_SETMANASYS_I ( FILE *in, FILE *out,
       struct PL_SETMANASYS_I *x, int indent, int nDim, int *dims );
extern int scan_struct_PL_PLANSIMPLESTRAJ_I ( FILE *in, FILE *out,
       struct PL_PLANSIMPLESTRAJ_I *x, int indent, int nDim, int *dims );
extern int scan_struct_PL_PLANSIMPLEPATH_I ( FILE *in, FILE *out,
       struct PL_PLANSIMPLEPATH_I *x, int indent, int nDim, int *dims );
extern int scan_struct_PL_PLANTO_I ( FILE *in, FILE *out,
       struct PL_PLANTO_I *x, int indent, int nDim, int *dims );
extern int scan_struct_PL_SETMODE_I ( FILE *in, FILE *out,
       struct PL_SETMODE_I *x, int indent, int nDim, int *dims );
extern int scan_struct_PL_INIT_I ( FILE *in, FILE *out,
       struct PL_INIT_I *x, int indent, int nDim, int *dims );
extern int scan_struct_PL_MANA_STRAJ ( FILE *in, FILE *out,
       struct PL_MANA_STRAJ *x, int indent, int nDim, int *dims );
extern int scan_struct_PL_MANA_STATET ( FILE *in, FILE *out,
       struct PL_MANA_STATET *x, int indent, int nDim, int *dims );
extern int scan_struct_PL_MANA_SYS_CSTT ( FILE *in, FILE *out,
       struct PL_MANA_SYS_CSTT *x, int indent, int nDim, int *dims );
extern int scan_struct_GEN_PATH_XY ( FILE *in, FILE *out,
       struct GEN_PATH_XY *x, int indent, int nDim, int *dims );
extern int scan_struct_PL_PATH_XY ( FILE *in, FILE *out,
       struct PL_PATH_XY *x, int indent, int nDim, int *dims );
extern int scan_struct_MANA_SYS_CSTT ( FILE *in, FILE *out,
       struct MANA_SYS_CSTT *x, int indent, int nDim, int *dims );
extern int scan_struct_MANA_CTRL ( FILE *in, FILE *out,
       struct MANA_CTRL *x, int indent, int nDim, int *dims );
extern int scan_struct_MANA_POSE ( FILE *in, FILE *out,
       struct MANA_POSE *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_MANA_POSE ( FILE *in, FILE *out,
       MANA_POSE *x, int indent, int nDim, int *dims );
extern int scan_MANA_CTRL ( FILE *in, FILE *out,
       MANA_CTRL *x, int indent, int nDim, int *dims );
extern int scan_MANA_SYS_CSTT ( FILE *in, FILE *out,
       MANA_SYS_CSTT *x, int indent, int nDim, int *dims );
extern int scan_PL_PATH_XY ( FILE *in, FILE *out,
       PL_PATH_XY *x, int indent, int nDim, int *dims );
extern int scan_GEN_PATH_XY ( FILE *in, FILE *out,
       GEN_PATH_XY *x, int indent, int nDim, int *dims );
extern int scan_PL_MANA_SYS_CSTT ( FILE *in, FILE *out,
       PL_MANA_SYS_CSTT *x, int indent, int nDim, int *dims );
extern int scan_PL_MANA_STATET ( FILE *in, FILE *out,
       PL_MANA_STATET *x, int indent, int nDim, int *dims );
extern int scan_PL_MANA_STRAJ ( FILE *in, FILE *out,
       PL_MANA_STRAJ *x, int indent, int nDim, int *dims );
extern int scan_PL_INIT_I ( FILE *in, FILE *out,
       PL_INIT_I *x, int indent, int nDim, int *dims );
extern int scan_PL_SETMODE_I ( FILE *in, FILE *out,
       PL_SETMODE_I *x, int indent, int nDim, int *dims );
extern int scan_PL_PLANTO_I ( FILE *in, FILE *out,
       PL_PLANTO_I *x, int indent, int nDim, int *dims );
extern int scan_PL_PLANSIMPLEPATH_I ( FILE *in, FILE *out,
       PL_PLANSIMPLEPATH_I *x, int indent, int nDim, int *dims );
extern int scan_PL_PLANSIMPLESTRAJ_I ( FILE *in, FILE *out,
       PL_PLANSIMPLESTRAJ_I *x, int indent, int nDim, int *dims );
extern int scan_PL_SETMANASYS_I ( FILE *in, FILE *out,
       PL_SETMANASYS_I *x, int indent, int nDim, int *dims );
extern int scan_PATHRECORDING_I ( FILE *in, FILE *out,
       PATHRECORDING_I *x, int indent, int nDim, int *dims );
extern int scan_TRAJRECORDING_I ( FILE *in, FILE *out,
       TRAJRECORDING_I *x, int indent, int nDim, int *dims );
extern int scan_PVD_I ( FILE *in, FILE *out,
       PVD_I *x, int indent, int nDim, int *dims );
extern int scan_SHIFT_XY_I ( FILE *in, FILE *out,
       SHIFT_XY_I *x, int indent, int nDim, int *dims );
extern int scan_FILENAME_I ( FILE *in, FILE *out,
       FILENAME_I *x, int indent, int nDim, int *dims );
extern int scan_LOADPATH_I ( FILE *in, FILE *out,
       LOADPATH_I *x, int indent, int nDim, int *dims );
extern int scan_MPC_PLANNER_STR ( FILE *in, FILE *out,
       MPC_PLANNER_STR *x, int indent, int nDim, int *dims );
extern int scan_MPC_PLANNER_PATHREC_POSTER_STR ( FILE *in, FILE *out,
       MPC_PLANNER_PATHREC_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_MPC_PLANNER_PATHREF_POSTER_STR ( FILE *in, FILE *out,
       MPC_PLANNER_PATHREF_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_MPC_PLANNER_MANASTRAJREF_POSTER_STR ( FILE *in, FILE *out,
       MPC_PLANNER_MANASTRAJREF_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_MPC_PLANNER_MANASTRAJREC_POSTER_STR ( FILE *in, FILE *out,
       MPC_PLANNER_MANASTRAJREC_POSTER_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* MPC_PLANNER_SCAN_H */

