
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

/* 
 * MPC_plannerType.h:     La SDI_F de MPC_planner
 *
 * Utilise par le module et par les clients
 * (inclut dans MPC_plannerMsgLib.h et MPC_plannerPosterLib.h)
 * 
 */

#ifndef MPC_planner_TYPE_H
#define MPC_planner_TYPE_H

#include "genom/modules.h"
#include "MPC_plannerError.h"

/* Nombre de tache d'execution de ce module */
#define MPC_PLANNER_NB_EXEC_TASK                   (1)


#endif
#ifndef MPC_planner_TYPE1_H
#define MPC_planner_TYPE1_H

#include "/opt/openrobots/include/genPos/genPosStruct.h"
#include "/opt/openrobots/include/pom/pomStruct.h"
#include "/opt/openrobots/include/MPC/gen-structs/structs_gen.h"
#include "MPC_planner-Struct.h"

/*
 * Structure de donnees interne
 */
typedef struct MPC_PLANNER_STR {
	int system_type;
	int pl_mode;
	int pl_output;
	PL_PATH_XY pathRec;
	PL_MANA_STRAJ mana_strajRec;
	PL_PATH_XY pathRef;
	PL_MANA_STRAJ mana_strajRef;
	GENPOS_CART_CONFIG init_posXYTh;
	GENPOS_CART_CONFIG goal_posXYTh;
	int ctrl_poster_found;
	PL_INIT_I Init_I;
	PL_SETMODE_I SetMode_I;
	PL_PLANTO_I PlanTo_I;
	PL_PLANSIMPLEPATH_I PlanSimplePath_I;
	PL_PLANSIMPLESTRAJ_I PlanSimpleSTraj_I;
	PL_SETMANASYS_I SetManaSys_I;
	PATHRECORDING_I PathRecording_I;
	TRAJRECORDING_I TrajRecording_I;
	FILENAME_I Path_filename_I;
	LOADPATH_I LoadPath_I;
	PVD_I PlanTrajPVD_I;
	float PVD_coefVel;
	float rot_angle;
	float shift_dist;
	SHIFT_XY_I shift_xy;
	float Cor_Width_I;
	SHIFT_XY_I ShiftXYTrajInput[20];
	FILENAME_I LoadRobufastPathInput[20];
} MPC_PLANNER_STR;


#endif

