
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MPC_PLANNER_SCAN_H
#define MPC_PLANNER_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/pomTclservClientDecode.h"

#include "server/tclservClient/genPosTclservClientDecode.h"


/* Structures du module */
#include "server/MPC_plannerPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_MPC_PLANNER_MANASTRAJREC_POSTER_STR (char** buf, struct MPC_PLANNER_MANASTRAJREC_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_MPC_PLANNER_MANASTRAJREF_POSTER_STR (char** buf, struct MPC_PLANNER_MANASTRAJREF_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_MPC_PLANNER_PATHREF_POSTER_STR (char** buf, struct MPC_PLANNER_PATHREF_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_MPC_PLANNER_PATHREC_POSTER_STR (char** buf, struct MPC_PLANNER_PATHREC_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_MPC_PLANNER_STR (char** buf, struct MPC_PLANNER_STR *x, int nDim, int *dims );
int scan_buf_struct_LOADPATH_I (char** buf, struct LOADPATH_I *x, int nDim, int *dims );
int scan_buf_struct_FILENAME_I (char** buf, struct FILENAME_I *x, int nDim, int *dims );
int scan_buf_struct_SHIFT_XY_I (char** buf, struct SHIFT_XY_I *x, int nDim, int *dims );
int scan_buf_struct_PVD_I (char** buf, struct PVD_I *x, int nDim, int *dims );
int scan_buf_struct_TRAJRECORDING_I (char** buf, struct TRAJRECORDING_I *x, int nDim, int *dims );
int scan_buf_struct_PATHRECORDING_I (char** buf, struct PATHRECORDING_I *x, int nDim, int *dims );
int scan_buf_struct_PL_SETMANASYS_I (char** buf, struct PL_SETMANASYS_I *x, int nDim, int *dims );
int scan_buf_struct_PL_PLANSIMPLESTRAJ_I (char** buf, struct PL_PLANSIMPLESTRAJ_I *x, int nDim, int *dims );
int scan_buf_struct_PL_PLANSIMPLEPATH_I (char** buf, struct PL_PLANSIMPLEPATH_I *x, int nDim, int *dims );
int scan_buf_struct_PL_PLANTO_I (char** buf, struct PL_PLANTO_I *x, int nDim, int *dims );
int scan_buf_struct_PL_SETMODE_I (char** buf, struct PL_SETMODE_I *x, int nDim, int *dims );
int scan_buf_struct_PL_INIT_I (char** buf, struct PL_INIT_I *x, int nDim, int *dims );
int scan_buf_struct_PL_MANA_STRAJ (char** buf, struct PL_MANA_STRAJ *x, int nDim, int *dims );
int scan_buf_struct_PL_MANA_STATET (char** buf, struct PL_MANA_STATET *x, int nDim, int *dims );
int scan_buf_struct_PL_MANA_SYS_CSTT (char** buf, struct PL_MANA_SYS_CSTT *x, int nDim, int *dims );
int scan_buf_struct_GEN_PATH_XY (char** buf, struct GEN_PATH_XY *x, int nDim, int *dims );
int scan_buf_struct_PL_PATH_XY (char** buf, struct PL_PATH_XY *x, int nDim, int *dims );
int scan_buf_struct_MANA_SYS_CSTT (char** buf, struct MANA_SYS_CSTT *x, int nDim, int *dims );
int scan_buf_struct_MANA_CTRL (char** buf, struct MANA_CTRL *x, int nDim, int *dims );
int scan_buf_struct_MANA_POSE (char** buf, struct MANA_POSE *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_MANA_POSE (char** buf, MANA_POSE *x, int nDim, int *dims );
int scan_buf_MANA_CTRL (char** buf, MANA_CTRL *x, int nDim, int *dims );
int scan_buf_MANA_SYS_CSTT (char** buf, MANA_SYS_CSTT *x, int nDim, int *dims );
int scan_buf_PL_PATH_XY (char** buf, PL_PATH_XY *x, int nDim, int *dims );
int scan_buf_GEN_PATH_XY (char** buf, GEN_PATH_XY *x, int nDim, int *dims );
int scan_buf_PL_MANA_SYS_CSTT (char** buf, PL_MANA_SYS_CSTT *x, int nDim, int *dims );
int scan_buf_PL_MANA_STATET (char** buf, PL_MANA_STATET *x, int nDim, int *dims );
int scan_buf_PL_MANA_STRAJ (char** buf, PL_MANA_STRAJ *x, int nDim, int *dims );
int scan_buf_PL_INIT_I (char** buf, PL_INIT_I *x, int nDim, int *dims );
int scan_buf_PL_SETMODE_I (char** buf, PL_SETMODE_I *x, int nDim, int *dims );
int scan_buf_PL_PLANTO_I (char** buf, PL_PLANTO_I *x, int nDim, int *dims );
int scan_buf_PL_PLANSIMPLEPATH_I (char** buf, PL_PLANSIMPLEPATH_I *x, int nDim, int *dims );
int scan_buf_PL_PLANSIMPLESTRAJ_I (char** buf, PL_PLANSIMPLESTRAJ_I *x, int nDim, int *dims );
int scan_buf_PL_SETMANASYS_I (char** buf, PL_SETMANASYS_I *x, int nDim, int *dims );
int scan_buf_PATHRECORDING_I (char** buf, PATHRECORDING_I *x, int nDim, int *dims );
int scan_buf_TRAJRECORDING_I (char** buf, TRAJRECORDING_I *x, int nDim, int *dims );
int scan_buf_PVD_I (char** buf, PVD_I *x, int nDim, int *dims );
int scan_buf_SHIFT_XY_I (char** buf, SHIFT_XY_I *x, int nDim, int *dims );
int scan_buf_FILENAME_I (char** buf, FILENAME_I *x, int nDim, int *dims );
int scan_buf_LOADPATH_I (char** buf, LOADPATH_I *x, int nDim, int *dims );
int scan_buf_MPC_PLANNER_STR (char** buf, MPC_PLANNER_STR *x, int nDim, int *dims );
int scan_buf_MPC_PLANNER_PATHREC_POSTER_STR (char** buf, MPC_PLANNER_PATHREC_POSTER_STR *x, int nDim, int *dims );
int scan_buf_MPC_PLANNER_PATHREF_POSTER_STR (char** buf, MPC_PLANNER_PATHREF_POSTER_STR *x, int nDim, int *dims );
int scan_buf_MPC_PLANNER_MANASTRAJREF_POSTER_STR (char** buf, MPC_PLANNER_MANASTRAJREF_POSTER_STR *x, int nDim, int *dims );
int scan_buf_MPC_PLANNER_MANASTRAJREC_POSTER_STR (char** buf, MPC_PLANNER_MANASTRAJREC_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* MPC_PLANNER_SCAN_H */

