
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MPC_planner_TCLSERV_CLIENT_MSG_LIB_H
#define MPC_planner_TCLSERV_CLIENT_MSG_LIB_H

#include <server/MPC_plannerType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int MPC_plannerTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int MPC_plannerTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int MPC_plannerTclservClientInitRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PL_INIT_I *(in_Init_I) 
		);

int MPC_plannerTclservClientInitReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MPC_plannerTclservClientInitRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PL_INIT_I *(in_Init_I) ,
				
				int *bilan);

int MPC_plannerTclservClientInitRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PL_INIT_I *(in_Init_I) ,
					
					int *bilan);




int MPC_plannerTclservClientSetModeRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 PL_SETMODE_I *(in_SetMode_I)
		);

int MPC_plannerTclservClientSetModeReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int MPC_plannerTclservClientSetModeRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 PL_SETMODE_I *(in_SetMode_I) ,
				 
				 int *bilan);




int MPC_plannerTclservClientPlanToRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PL_PLANTO_I *(in_PlanTo_I) 
		);

int MPC_plannerTclservClientPlanToReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MPC_plannerTclservClientPlanToRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PL_PLANTO_I *(in_PlanTo_I) ,
				
				int *bilan);

int MPC_plannerTclservClientPlanToRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PL_PLANTO_I *(in_PlanTo_I) ,
					
					int *bilan);




int MPC_plannerTclservClientPlanSimplePathRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PL_PLANSIMPLEPATH_I *(in_PlanSimplePath_I) 
		);

int MPC_plannerTclservClientPlanSimplePathReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MPC_plannerTclservClientPlanSimplePathRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PL_PLANSIMPLEPATH_I *(in_PlanSimplePath_I) ,
				
				int *bilan);

int MPC_plannerTclservClientPlanSimplePathRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PL_PLANSIMPLEPATH_I *(in_PlanSimplePath_I) ,
					
					int *bilan);




int MPC_plannerTclservClientPlanSimpleSTrajRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PL_PLANSIMPLESTRAJ_I *(in_PlanSimpleSTraj_I) 
		);

int MPC_plannerTclservClientPlanSimpleSTrajReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MPC_plannerTclservClientPlanSimpleSTrajRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PL_PLANSIMPLESTRAJ_I *(in_PlanSimpleSTraj_I) ,
				
				int *bilan);

int MPC_plannerTclservClientPlanSimpleSTrajRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PL_PLANSIMPLESTRAJ_I *(in_PlanSimpleSTraj_I) ,
					
					int *bilan);




int MPC_plannerTclservClientSetManaSysRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PL_SETMANASYS_I *(in_SetManaSys_I) 
		);

int MPC_plannerTclservClientSetManaSysReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MPC_plannerTclservClientSetManaSysRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PL_SETMANASYS_I *(in_SetManaSys_I) ,
				
				int *bilan);

int MPC_plannerTclservClientSetManaSysRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PL_SETMANASYS_I *(in_SetManaSys_I) ,
					
					int *bilan);




int MPC_plannerTclservClientStartPathRecordingRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PATHRECORDING_I *(in_PathRecording_I) 
		);

int MPC_plannerTclservClientStartPathRecordingReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MPC_plannerTclservClientStartPathRecordingRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PATHRECORDING_I *(in_PathRecording_I) ,
				
				int *bilan);

int MPC_plannerTclservClientStartPathRecordingRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PATHRECORDING_I *(in_PathRecording_I) ,
					
					int *bilan);




int MPC_plannerTclservClientStopPathRecordingRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int MPC_plannerTclservClientStopPathRecordingReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int MPC_plannerTclservClientStopPathRecordingRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);




int MPC_plannerTclservClientLoadPathRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 LOADPATH_I *(in_LoadPath_I) 
		);

int MPC_plannerTclservClientLoadPathReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MPC_plannerTclservClientLoadPathRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				LOADPATH_I *(in_LoadPath_I) ,
				
				int *bilan);

int MPC_plannerTclservClientLoadPathRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					LOADPATH_I *(in_LoadPath_I) ,
					
					int *bilan);




int MPC_plannerTclservClientLoadPathFromLocRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 FILENAME_I *(in_Path_filename_I) 
		);

int MPC_plannerTclservClientLoadPathFromLocReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MPC_plannerTclservClientLoadPathFromLocRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				FILENAME_I *(in_Path_filename_I) ,
				
				int *bilan);

int MPC_plannerTclservClientLoadPathFromLocRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					FILENAME_I *(in_Path_filename_I) ,
					
					int *bilan);




int MPC_plannerTclservClientSavePathRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 FILENAME_I *(in_Path_filename_I) 
		);

int MPC_plannerTclservClientSavePathReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MPC_plannerTclservClientSavePathRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				FILENAME_I *(in_Path_filename_I) ,
				
				int *bilan);

int MPC_plannerTclservClientSavePathRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					FILENAME_I *(in_Path_filename_I) ,
					
					int *bilan);




int MPC_plannerTclservClientReinitPathRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int MPC_plannerTclservClientReinitPathReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int MPC_plannerTclservClientReinitPathRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);




int MPC_plannerTclservClientConcatPathRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 LOADPATH_I *(in_LoadPath_I) 
		);

int MPC_plannerTclservClientConcatPathReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MPC_plannerTclservClientConcatPathRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				LOADPATH_I *(in_LoadPath_I) ,
				
				int *bilan);

int MPC_plannerTclservClientConcatPathRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					LOADPATH_I *(in_LoadPath_I) ,
					
					int *bilan);




int MPC_plannerTclservClientStartTrajRecordingRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 TRAJRECORDING_I *(in_TrajRecording_I) 
		);

int MPC_plannerTclservClientStartTrajRecordingReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MPC_plannerTclservClientStartTrajRecordingRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				TRAJRECORDING_I *(in_TrajRecording_I) ,
				
				int *bilan);

int MPC_plannerTclservClientStartTrajRecordingRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					TRAJRECORDING_I *(in_TrajRecording_I) ,
					
					int *bilan);




int MPC_plannerTclservClientLoadTrajRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 FILENAME_I *(in_Path_filename_I) 
		);

int MPC_plannerTclservClientLoadTrajReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MPC_plannerTclservClientLoadTrajRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				FILENAME_I *(in_Path_filename_I) ,
				
				int *bilan);

int MPC_plannerTclservClientLoadTrajRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					FILENAME_I *(in_Path_filename_I) ,
					
					int *bilan);




int MPC_plannerTclservClientSaveTrajRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 FILENAME_I *(in_Path_filename_I) 
		);

int MPC_plannerTclservClientSaveTrajReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MPC_plannerTclservClientSaveTrajRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				FILENAME_I *(in_Path_filename_I) ,
				
				int *bilan);

int MPC_plannerTclservClientSaveTrajRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					FILENAME_I *(in_Path_filename_I) ,
					
					int *bilan);




int MPC_plannerTclservClientPlanTrajPVDRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PVD_I *(in_PlanTrajPVD_I) 
		);

int MPC_plannerTclservClientPlanTrajPVDReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MPC_plannerTclservClientPlanTrajPVDRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PVD_I *(in_PlanTrajPVD_I) ,
				
				int *bilan);

int MPC_plannerTclservClientPlanTrajPVDRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PVD_I *(in_PlanTrajPVD_I) ,
					
					int *bilan);




int MPC_plannerTclservClientRotateTrajRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 float *(in_rot_angle) 
		);

int MPC_plannerTclservClientRotateTrajReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MPC_plannerTclservClientRotateTrajRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				float *(in_rot_angle) ,
				
				int *bilan);

int MPC_plannerTclservClientRotateTrajRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					float *(in_rot_angle) ,
					
					int *bilan);




int MPC_plannerTclservClientShiftLatTrajRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 float *(in_shift_dist) 
		);

int MPC_plannerTclservClientShiftLatTrajReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MPC_plannerTclservClientShiftLatTrajRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				float *(in_shift_dist) ,
				
				int *bilan);

int MPC_plannerTclservClientShiftLatTrajRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					float *(in_shift_dist) ,
					
					int *bilan);




int MPC_plannerTclservClientShiftXYTrajRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 SHIFT_XY_I *(in_shift_xy) 
		);

int MPC_plannerTclservClientShiftXYTrajReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MPC_plannerTclservClientShiftXYTrajRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				SHIFT_XY_I *(in_shift_xy) ,
				
				int *bilan);

int MPC_plannerTclservClientShiftXYTrajRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					SHIFT_XY_I *(in_shift_xy) ,
					
					int *bilan);




int MPC_plannerTclservClientLoadRobufastPathRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 FILENAME_I *(in_Path_filename_I) 
		);

int MPC_plannerTclservClientLoadRobufastPathReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MPC_plannerTclservClientLoadRobufastPathRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				FILENAME_I *(in_Path_filename_I) ,
				
				int *bilan);

int MPC_plannerTclservClientLoadRobufastPathRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					FILENAME_I *(in_Path_filename_I) ,
					
					int *bilan);




int MPC_plannerTclservClientLoadRobufastPath2RqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int MPC_plannerTclservClientLoadRobufastPath2ReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int MPC_plannerTclservClientLoadRobufastPath2RqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int MPC_plannerTclservClientLoadRobufastPath2RqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* MPC_plannerTCLSERV_CLIENT_MSG_LIB_H */

