
#
# Copyright (c) 1999-2003 LAAS/CNRS
# All rights reserved.
#
# Redistribution  and  use in source   and binary forms,  with or without
# modification, are permitted provided that  the following conditions are
# met:
#
#   1. Redistributions  of  source code must  retain  the above copyright
#      notice, this list of conditions and the following disclaimer.
#   2. Redistributions in binary form must  reproduce the above copyright
#      notice,  this list of  conditions and  the following disclaimer in
#      the  documentation   and/or  other  materials   provided with  the
#      distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE  AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY  EXPRESS OR IMPLIED WARRANTIES, INCLUDING,  BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES   OF MERCHANTABILITY AND  FITNESS  FOR  A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO  EVENT SHALL THE AUTHOR OR  CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT,  INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING,  BUT  NOT LIMITED TO, PROCUREMENT  OF
# SUBSTITUTE  GOODS OR SERVICES;  LOSS   OF  USE,  DATA, OR PROFITS;   OR
# BUSINESS  INTERRUPTION) HOWEVER CAUSED AND  ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE  USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# This file was automagically generated.
# Manual editing not recommended. Changes will be overridden.
#

if { [lsearch [interp hidden] MPC_plannerInstall] >= 0 } {
    interp expose {} MPC_plannerInstall
}

proc ::MPC_plannerInstall { name } {
    foreach rqst { "Init" "SetMode" "PlanTo" "PlanSimplePath" "PlanSimpleSTraj" "SetManaSys" "StartPathRecording" "StopPathRecording" "LoadPath" "LoadPathFromLoc" "SavePath" "ReinitPath" "ConcatPath" "StartTrajRecording" "LoadTraj" "SaveTraj" "PlanTrajPVD" "RotateTraj" "ShiftLatTraj" "ShiftXYTraj" "LoadRobufastPath" "LoadRobufastPath2" "PathRecpathRecPosterRead" "PathRefpathRefPosterRead" "ManaSTrajRefmana_strajRefPosterRead" "ManaSTrajRecmana_strajRecPosterRead"  } {
	interp alias {} ${name}::$rqst {} interp invoke {} MPC_planner$rqst $name
    }
}

interp hide {} MPC_plannerInstall




# Init ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerInit] >= 0 } {
    interp expose {} MPC_plannerInit
}
if { [lsearch [interp hidden] MPC_plannerInitFormatOutput] >= 0 } {
    interp expose {} MPC_plannerInitFormatOutput
}

proc ::MPC_plannerInit { name args } {
    set format {}
    lappend format [list string "Init_I.pomPoster" "" ]
    lappend format [list string "Init_I.dtmPoster" "" ]
    lappend format [list string "Init_I.ctrlPoster" "" ]

    return [ ::cs::rqstSend "${name}" "Init" \
	"Initializes the MPC planner module" \
	"PL_INIT_I\n| char pomPoster\[256\]\n| char dtmPoster\[256\]\n| char ctrlPoster\[256\]\n" \
	3 \
	$format \
	$args ]
}


proc ::MPC_plannerInitFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerInit
interp hide {} MPC_plannerInitFormatOutput





# SetMode ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerSetMode] >= 0 } {
    interp expose {} MPC_plannerSetMode
}
if { [lsearch [interp hidden] MPC_plannerSetModeFormatOutput] >= 0 } {
    interp expose {} MPC_plannerSetModeFormatOutput
}

proc ::MPC_plannerSetMode { name args } {
    set format {}
    lappend format [list string "SetMode_I.mode" "" ]
    lappend format [list string "SetMode_I.output" "" ]

    return [ ::cs::rqstSend "${name}" "SetMode" \
	"Set the planning mode" \
	"PL_SETMODE_I\n| char mode\[256\]\n| char output\[256\]\n" \
	2 \
	$format \
	$args ]
}


proc ::MPC_plannerSetModeFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerSetMode
interp hide {} MPC_plannerSetModeFormatOutput





# PlanTo ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerPlanTo] >= 0 } {
    interp expose {} MPC_plannerPlanTo
}
if { [lsearch [interp hidden] MPC_plannerPlanToFormatOutput] >= 0 } {
    interp expose {} MPC_plannerPlanToFormatOutput
}

proc ::MPC_plannerPlanTo { name args } {
    set format {}
    lappend format [list double "X goal coordinate" 0.000000 ]
    lappend format [list double "Y goal coordinate" 0.000000 ]

    return [ ::cs::rqstSend "${name}" "PlanTo" \
	"Plan a path / trajectory to the goal location" \
	"PL_PLANTO_I\n| double goalX\n| double goalY\n" \
	2 \
	$format \
	$args ]
}


proc ::MPC_plannerPlanToFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerPlanTo
interp hide {} MPC_plannerPlanToFormatOutput





# PlanSimplePath ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerPlanSimplePath] >= 0 } {
    interp expose {} MPC_plannerPlanSimplePath
}
if { [lsearch [interp hidden] MPC_plannerPlanSimplePathFormatOutput] >= 0 } {
    interp expose {} MPC_plannerPlanSimplePathFormatOutput
}

proc ::MPC_plannerPlanSimplePath { name args } {
    set format {}
    lappend format [list double "X init coordinate" 0.000000 ]
    lappend format [list double "Y init coordinate" 0.000000 ]
    lappend format [list double "TH init coordinate" 0.000000 ]
    lappend format [list double "X goal coordinate" 0.000000 ]
    lappend format [list double "Y goal coordinate" 0.000000 ]
    lappend format [list double "PlanSimplePath_I.goalPos.theta" 0.0 ]

    return [ ::cs::rqstSend "${name}" "PlanSimplePath" \
	"Plan a simple path between the initial and goal positions" \
	"PL_PLANSIMPLEPATH_I\n| GENPOS_CART_CONFIG\n| | double x\n| | double y\n| | double theta\n| GENPOS_CART_CONFIG\n| | double x\n| | double y\n| | double theta\n" \
	6 \
	$format \
	$args ]
}


proc ::MPC_plannerPlanSimplePathFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerPlanSimplePath
interp hide {} MPC_plannerPlanSimplePathFormatOutput





# PlanSimpleSTraj ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerPlanSimpleSTraj] >= 0 } {
    interp expose {} MPC_plannerPlanSimpleSTraj
}
if { [lsearch [interp hidden] MPC_plannerPlanSimpleSTrajFormatOutput] >= 0 } {
    interp expose {} MPC_plannerPlanSimpleSTrajFormatOutput
}

proc ::MPC_plannerPlanSimpleSTraj { name args } {
    set format {}
    lappend format [list double "X init coordinate" 0.000000 ]
    lappend format [list double "Y init coordinate" 0.000000 ]
    lappend format [list double "TH init coordinate" 0.000000 ]
    lappend format [list double "X goal coordinate" 0.000000 ]
    lappend format [list double "Y goal coordinate" 0.000000 ]
    lappend format [list double "PlanSimpleSTraj_I.goalPos.theta" 0.0 ]

    return [ ::cs::rqstSend "${name}" "PlanSimpleSTraj" \
	"Plan a simple state trajectory between the initial and goal positions" \
	"PL_PLANSIMPLESTRAJ_I\n| GENPOS_CART_CONFIG\n| | double x\n| | double y\n| | double theta\n| GENPOS_CART_CONFIG\n| | double x\n| | double y\n| | double theta\n" \
	6 \
	$format \
	$args ]
}


proc ::MPC_plannerPlanSimpleSTrajFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerPlanSimpleSTraj
interp hide {} MPC_plannerPlanSimpleSTrajFormatOutput





# SetManaSys ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerSetManaSys] >= 0 } {
    interp expose {} MPC_plannerSetManaSys
}
if { [lsearch [interp hidden] MPC_plannerSetManaSysFormatOutput] >= 0 } {
    interp expose {} MPC_plannerSetManaSysFormatOutput
}

proc ::MPC_plannerSetManaSys { name args } {
    set format {}
    lappend format [list double "SetManaSys_I.body_length" 0.0 ]
    lappend format [list double "SetManaSys_I.body_width" 0.0 ]
    lappend format [list double "SetManaSys_I.body_z" 0.0 ]
    lappend format [list double "SetManaSys_I.ground_clearance" 0.0 ]
    lappend format [list double "SetManaSys_I.rollMax" 0.0 ]
    lappend format [list double "SetManaSys_I.pitchMax" 0.0 ]
    lappend format [list double "SetManaSys_I.vmin" 0.0 ]
    lappend format [list double "SetManaSys_I.vmax" 0.0 ]
    lappend format [list double "SetManaSys_I.accel" 0.0 ]
    lappend format [list double "SetManaSys_I.decel" 0.0 ]
    lappend format [list double "SetManaSys_I.wmax" 0.0 ]

    return [ ::cs::rqstSend "${name}" "SetManaSys" \
	"Change Mana geometry and system constraints" \
	"PL_SETMANASYS_I\n| double body_length\n| double body_width\n| double body_z\n| double ground_clearance\n| double rollMax\n| double pitchMax\n| double vmin\n| double vmax\n| double accel\n| double decel\n| double wmax\n" \
	11 \
	$format \
	$args ]
}


proc ::MPC_plannerSetManaSysFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerSetManaSys
interp hide {} MPC_plannerSetManaSysFormatOutput





# StartPathRecording ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerStartPathRecording] >= 0 } {
    interp expose {} MPC_plannerStartPathRecording
}
if { [lsearch [interp hidden] MPC_plannerStartPathRecordingFormatOutput] >= 0 } {
    interp expose {} MPC_plannerStartPathRecordingFormatOutput
}

proc ::MPC_plannerStartPathRecording { name args } {
    set format {}
    lappend format [list float "minimal distance between two positions of the path" 0.300000 ]

    return [ ::cs::rqstSend "${name}" "StartPathRecording" \
	"Start to record the path followed by the robot" \
	"PATHRECORDING_I\n| float minDistBtwnPos\n" \
	1 \
	$format \
	$args ]
}


proc ::MPC_plannerStartPathRecordingFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerStartPathRecording
interp hide {} MPC_plannerStartPathRecordingFormatOutput





# StopPathRecording ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerStopPathRecording] >= 0 } {
    interp expose {} MPC_plannerStopPathRecording
}
if { [lsearch [interp hidden] MPC_plannerStopPathRecordingFormatOutput] >= 0 } {
    interp expose {} MPC_plannerStopPathRecordingFormatOutput
}

proc ::MPC_plannerStopPathRecording { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "StopPathRecording" \
	"Stop to record the path followed by the robot" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::MPC_plannerStopPathRecordingFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerStopPathRecording
interp hide {} MPC_plannerStopPathRecordingFormatOutput





# LoadPath ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerLoadPath] >= 0 } {
    interp expose {} MPC_plannerLoadPath
}
if { [lsearch [interp hidden] MPC_plannerLoadPathFormatOutput] >= 0 } {
    interp expose {} MPC_plannerLoadPathFormatOutput
}

proc ::MPC_plannerLoadPath { name args } {
    set format {}
    lappend format [list string "Input path filename" "" ]
    lappend format [list int "Inverted path (0/1)" 0 ]

    return [ ::cs::rqstSend "${name}" "LoadPath" \
	"Load a reference path from an input file" \
	"LOADPATH_I\n| char filename\[256\]\n| int inverted\n" \
	2 \
	$format \
	$args ]
}


proc ::MPC_plannerLoadPathFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerLoadPath
interp hide {} MPC_plannerLoadPathFormatOutput





# LoadPathFromLoc ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerLoadPathFromLoc] >= 0 } {
    interp expose {} MPC_plannerLoadPathFromLoc
}
if { [lsearch [interp hidden] MPC_plannerLoadPathFromLocFormatOutput] >= 0 } {
    interp expose {} MPC_plannerLoadPathFromLocFormatOutput
}

proc ::MPC_plannerLoadPathFromLoc { name args } {
    set format {}
    lappend format [list string "Input path filename" "" ]

    return [ ::cs::rqstSend "${name}" "LoadPathFromLoc" \
	"Load a reference path from an input file and set its starting point as the current location" \
	"FILENAME_I\n| char filename\[256\]\n" \
	1 \
	$format \
	$args ]
}


proc ::MPC_plannerLoadPathFromLocFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerLoadPathFromLoc
interp hide {} MPC_plannerLoadPathFromLocFormatOutput





# SavePath ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerSavePath] >= 0 } {
    interp expose {} MPC_plannerSavePath
}
if { [lsearch [interp hidden] MPC_plannerSavePathFormatOutput] >= 0 } {
    interp expose {} MPC_plannerSavePathFormatOutput
}

proc ::MPC_plannerSavePath { name args } {
    set format {}
    lappend format [list string "Output path filename" "" ]

    return [ ::cs::rqstSend "${name}" "SavePath" \
	"Save a reference path into an output file" \
	"FILENAME_I\n| char filename\[256\]\n" \
	1 \
	$format \
	$args ]
}


proc ::MPC_plannerSavePathFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerSavePath
interp hide {} MPC_plannerSavePathFormatOutput





# ReinitPath ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerReinitPath] >= 0 } {
    interp expose {} MPC_plannerReinitPath
}
if { [lsearch [interp hidden] MPC_plannerReinitPathFormatOutput] >= 0 } {
    interp expose {} MPC_plannerReinitPathFormatOutput
}

proc ::MPC_plannerReinitPath { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "ReinitPath" \
	"Reinit the reference path" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::MPC_plannerReinitPathFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerReinitPath
interp hide {} MPC_plannerReinitPathFormatOutput





# ConcatPath ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerConcatPath] >= 0 } {
    interp expose {} MPC_plannerConcatPath
}
if { [lsearch [interp hidden] MPC_plannerConcatPathFormatOutput] >= 0 } {
    interp expose {} MPC_plannerConcatPathFormatOutput
}

proc ::MPC_plannerConcatPath { name args } {
    set format {}
    lappend format [list string "Input path filename" "" ]
    lappend format [list int "Inverted path (0/1)" 0 ]

    return [ ::cs::rqstSend "${name}" "ConcatPath" \
	"Load a path from an input file and concatenate it to the current reference path" \
	"LOADPATH_I\n| char filename\[256\]\n| int inverted\n" \
	2 \
	$format \
	$args ]
}


proc ::MPC_plannerConcatPathFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerConcatPath
interp hide {} MPC_plannerConcatPathFormatOutput





# StartTrajRecording ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerStartTrajRecording] >= 0 } {
    interp expose {} MPC_plannerStartTrajRecording
}
if { [lsearch [interp hidden] MPC_plannerStartTrajRecordingFormatOutput] >= 0 } {
    interp expose {} MPC_plannerStartTrajRecordingFormatOutput
}

proc ::MPC_plannerStartTrajRecording { name args } {
    set format {}
    lappend format [list float "dt between two recorded state-times" 0.500000 ]

    return [ ::cs::rqstSend "${name}" "StartTrajRecording" \
	"Start to record the trajectory followed by the robot" \
	"TRAJRECORDING_I\n| float dt\n" \
	1 \
	$format \
	$args ]
}


proc ::MPC_plannerStartTrajRecordingFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerStartTrajRecording
interp hide {} MPC_plannerStartTrajRecordingFormatOutput





# LoadTraj ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerLoadTraj] >= 0 } {
    interp expose {} MPC_plannerLoadTraj
}
if { [lsearch [interp hidden] MPC_plannerLoadTrajFormatOutput] >= 0 } {
    interp expose {} MPC_plannerLoadTrajFormatOutput
}

proc ::MPC_plannerLoadTraj { name args } {
    set format {}
    lappend format [list string "Input trajectory filename" "" ]

    return [ ::cs::rqstSend "${name}" "LoadTraj" \
	"Load a reference trajectory from an input file" \
	"FILENAME_I\n| char filename\[256\]\n" \
	1 \
	$format \
	$args ]
}


proc ::MPC_plannerLoadTrajFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerLoadTraj
interp hide {} MPC_plannerLoadTrajFormatOutput





# SaveTraj ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerSaveTraj] >= 0 } {
    interp expose {} MPC_plannerSaveTraj
}
if { [lsearch [interp hidden] MPC_plannerSaveTrajFormatOutput] >= 0 } {
    interp expose {} MPC_plannerSaveTrajFormatOutput
}

proc ::MPC_plannerSaveTraj { name args } {
    set format {}
    lappend format [list string "Output trajectory filename" "" ]

    return [ ::cs::rqstSend "${name}" "SaveTraj" \
	"Save a reference trajectory into an output file" \
	"FILENAME_I\n| char filename\[256\]\n" \
	1 \
	$format \
	$args ]
}


proc ::MPC_plannerSaveTrajFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerSaveTraj
interp hide {} MPC_plannerSaveTrajFormatOutput





# PlanTrajPVD ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerPlanTrajPVD] >= 0 } {
    interp expose {} MPC_plannerPlanTrajPVD
}
if { [lsearch [interp hidden] MPC_plannerPlanTrajPVDFormatOutput] >= 0 } {
    interp expose {} MPC_plannerPlanTrajPVDFormatOutput
}

proc ::MPC_plannerPlanTrajPVD { name args } {
    set format {}
    lappend format [list float "PlanTrajPVD_I.coefVel" 0.0 ]
    lappend format [list float "PlanTrajPVD_I.coefAcc" 0.0 ]

    return [ ::cs::rqstSend "${name}" "PlanTrajPVD" \
	"Plan the velocity profile of the current path thanks to PVD" \
	"PVD_I\n| float coefVel\n| float coefAcc\n" \
	2 \
	$format \
	$args ]
}


proc ::MPC_plannerPlanTrajPVDFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerPlanTrajPVD
interp hide {} MPC_plannerPlanTrajPVDFormatOutput





# RotateTraj ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerRotateTraj] >= 0 } {
    interp expose {} MPC_plannerRotateTraj
}
if { [lsearch [interp hidden] MPC_plannerRotateTrajFormatOutput] >= 0 } {
    interp expose {} MPC_plannerRotateTrajFormatOutput
}

proc ::MPC_plannerRotateTraj { name args } {
    set format {}
    lappend format [list float "The rotation angle (in deg)" "0.0" ]

    return [ ::cs::rqstSend "${name}" "RotateTraj" \
	"Rotate the reference trajectory from an input angle (in deg) around its initial state" \
	"float rot_angle\n" \
	1 \
	$format \
	$args ]
}


proc ::MPC_plannerRotateTrajFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerRotateTraj
interp hide {} MPC_plannerRotateTrajFormatOutput





# ShiftLatTraj ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerShiftLatTraj] >= 0 } {
    interp expose {} MPC_plannerShiftLatTraj
}
if { [lsearch [interp hidden] MPC_plannerShiftLatTrajFormatOutput] >= 0 } {
    interp expose {} MPC_plannerShiftLatTrajFormatOutput
}

proc ::MPC_plannerShiftLatTraj { name args } {
    set format {}
    lappend format [list float "The shifting distance" "0.0" ]

    return [ ::cs::rqstSend "${name}" "ShiftLatTraj" \
	"Shift laterally the reference trajectory" \
	"float shift_dist\n" \
	1 \
	$format \
	$args ]
}


proc ::MPC_plannerShiftLatTrajFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerShiftLatTraj
interp hide {} MPC_plannerShiftLatTrajFormatOutput





# ShiftXYTraj ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerShiftXYTraj] >= 0 } {
    interp expose {} MPC_plannerShiftXYTraj
}
if { [lsearch [interp hidden] MPC_plannerShiftXYTrajFormatOutput] >= 0 } {
    interp expose {} MPC_plannerShiftXYTrajFormatOutput
}

proc ::MPC_plannerShiftXYTraj { name args } {
    set format {}
    lappend format [list float "The shift on X axis" "0.0" ]
    lappend format [list float "The shift on Y axis" "0.0" ]

    return [ ::cs::rqstSend "${name}" "ShiftXYTraj" \
	"Shift the reference trajectory" \
	"SHIFT_XY_I\n| float dx\n| float dy\n" \
	2 \
	$format \
	$args ]
}


proc ::MPC_plannerShiftXYTrajFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerShiftXYTraj
interp hide {} MPC_plannerShiftXYTrajFormatOutput





# LoadRobufastPath ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerLoadRobufastPath] >= 0 } {
    interp expose {} MPC_plannerLoadRobufastPath
}
if { [lsearch [interp hidden] MPC_plannerLoadRobufastPathFormatOutput] >= 0 } {
    interp expose {} MPC_plannerLoadRobufastPathFormatOutput
}

proc ::MPC_plannerLoadRobufastPath { name args } {
    set format {}
    lappend format [list string "Input path filename" "" ]

    return [ ::cs::rqstSend "${name}" "LoadRobufastPath" \
	"Load a reference path (for a robufast car) from an input file" \
	"FILENAME_I\n| char filename\[256\]\n" \
	1 \
	$format \
	$args ]
}


proc ::MPC_plannerLoadRobufastPathFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerLoadRobufastPath
interp hide {} MPC_plannerLoadRobufastPathFormatOutput





# LoadRobufastPath2 ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerLoadRobufastPath2] >= 0 } {
    interp expose {} MPC_plannerLoadRobufastPath2
}
if { [lsearch [interp hidden] MPC_plannerLoadRobufastPath2FormatOutput] >= 0 } {
    interp expose {} MPC_plannerLoadRobufastPath2FormatOutput
}

proc ::MPC_plannerLoadRobufastPath2 { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "LoadRobufastPath2" \
	"Load a reference path (for a robufast car) from an input file" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::MPC_plannerLoadRobufastPath2FormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerLoadRobufastPath2
interp hide {} MPC_plannerLoadRobufastPath2FormatOutput





# PathRecpathRec ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerPathRecpathRecPosterRead] >= 0 } {
    interp expose {} MPC_plannerPathRecpathRecPosterRead
}
if { [lsearch [interp hidden] MPC_plannerPathRecpathRecPosterFormatOutput] >= 0 } {
    interp expose {} MPC_plannerPathRecpathRecPosterFormatOutput
}

proc ::MPC_plannerPathRecpathRecPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "PathRecpathRec" \
	"PL_PATH_XY\n| GENPOS_CART_CONFIG\n| | double x\n| | double y\n| | double theta\n| int nbPos\n" \
	$args ]
}


proc ::MPC_plannerPathRecpathRecPosterFormatOutput { list } {
    set format { {} status { } { pathRec { 5000 } { tab { } x { } y { } theta } { } nbPos } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerPathRecpathRecPosterRead
interp hide {} MPC_plannerPathRecpathRecPosterFormatOutput





# PathRefpathRef ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerPathRefpathRefPosterRead] >= 0 } {
    interp expose {} MPC_plannerPathRefpathRefPosterRead
}
if { [lsearch [interp hidden] MPC_plannerPathRefpathRefPosterFormatOutput] >= 0 } {
    interp expose {} MPC_plannerPathRefpathRefPosterFormatOutput
}

proc ::MPC_plannerPathRefpathRefPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "PathRefpathRef" \
	"PL_PATH_XY\n| GENPOS_CART_CONFIG\n| | double x\n| | double y\n| | double theta\n| int nbPos\n" \
	$args ]
}


proc ::MPC_plannerPathRefpathRefPosterFormatOutput { list } {
    set format { {} status { } { pathRef { 5000 } { tab { } x { } y { } theta } { } nbPos } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerPathRefpathRefPosterRead
interp hide {} MPC_plannerPathRefpathRefPosterFormatOutput





# ManaSTrajRefmana_strajRef ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerManaSTrajRefmana_strajRefPosterRead] >= 0 } {
    interp expose {} MPC_plannerManaSTrajRefmana_strajRefPosterRead
}
if { [lsearch [interp hidden] MPC_plannerManaSTrajRefmana_strajRefPosterFormatOutput] >= 0 } {
    interp expose {} MPC_plannerManaSTrajRefmana_strajRefPosterFormatOutput
}

proc ::MPC_plannerManaSTrajRefmana_strajRefPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "ManaSTrajRefmana_strajRef" \
	"PL_MANA_STRAJ\n| PL_MANA_STATET\n| | double x\n| | double y\n| | double th\n| | double v\n| | double w\n| | double t\n| int nbPos\n" \
	$args ]
}


proc ::MPC_plannerManaSTrajRefmana_strajRefPosterFormatOutput { list } {
    set format { {} status { } { mana_strajRef { 5000 } { tab { } x { } y { } th { } v { } w { } t } { } nbPos } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerManaSTrajRefmana_strajRefPosterRead
interp hide {} MPC_plannerManaSTrajRefmana_strajRefPosterFormatOutput





# ManaSTrajRecmana_strajRec ----------------------------------------------------------

if { [lsearch [interp hidden] MPC_plannerManaSTrajRecmana_strajRecPosterRead] >= 0 } {
    interp expose {} MPC_plannerManaSTrajRecmana_strajRecPosterRead
}
if { [lsearch [interp hidden] MPC_plannerManaSTrajRecmana_strajRecPosterFormatOutput] >= 0 } {
    interp expose {} MPC_plannerManaSTrajRecmana_strajRecPosterFormatOutput
}

proc ::MPC_plannerManaSTrajRecmana_strajRecPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "ManaSTrajRecmana_strajRec" \
	"PL_MANA_STRAJ\n| PL_MANA_STATET\n| | double x\n| | double y\n| | double th\n| | double v\n| | double w\n| | double t\n| int nbPos\n" \
	$args ]
}


proc ::MPC_plannerManaSTrajRecmana_strajRecPosterFormatOutput { list } {
    set format { {} status { } { mana_strajRec { 5000 } { tab { } x { } y { } th { } v { } w { } t } { } nbPos } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} MPC_plannerManaSTrajRecmana_strajRecPosterRead
interp hide {} MPC_plannerManaSTrajRecmana_strajRecPosterFormatOutput


